# TODO
# - subpackages for various firmwares?
Summary:	Firmware files used by the Linux kernel
Summary(pl.UTF-8):	Pliki firmware'u używane przez jądro Linuksa
Name:		linux-firmware
Version:	20161205
Release:	1
License:	GPL+ and GPL v2+ and MIT and Redistributable, no modification permitted
Group:		Base/Kernel
Source0:	http://pkgs.fedoraproject.org/repo/pkgs/linux-firmware/%{name}-%{version}.tar.gz/b0bf236f2ad6879a45b44852c3c30f81/%{name}-%{version}.tar.gz
# Source0-md5:	b0bf236f2ad6879a45b44852c3c30f81
URL:		http://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/
BuildArch:	noarch
Obsoletes:	microcode-data-amd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes firmware files required for some devices to
operate.

%description -l pl.UTF-8
Ten pakiet zawiera pliki firmware'u wymagane do działania niektórych
urządzeń.

%prep
%setup -qc
mv linux-firmware-*/* .
rmdir linux-firmware-*

%build
# - alsa-firmware.spec
%{__rm} -r ess korg sb16 yamaha

# Remove source files we don't need to install
%{__rm} */*.asm dsp56k/{Makefile,concat-bootstrap.pl} isci/{Makefile,README,*.[ch]}
%{__rm} -r carl9170fw usbdux
%{__rm} Makefile configure

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware
cp -a . $RPM_BUILD_ROOT/lib/firmware
%{__rm} $RPM_BUILD_ROOT/lib/firmware/{GPL-2,GPL-3,LICENCE.*,LICENSE.*,README,TDA7706_OM_v*_boot.txt,WHENCE,check_whence.py}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc WHENCE LICENCE.* LICENSE.* README TDA7706_OM_v*_boot.txt
/lib/firmware/3com
/lib/firmware/RTL8192E
/lib/firmware/acenic
/lib/firmware/adaptec
/lib/firmware/advansys
/lib/firmware/agere_*_fw.bin
/lib/firmware/amdgpu
/lib/firmware/amd-ucode
/lib/firmware/ar3k
/lib/firmware/ar5523.bin
/lib/firmware/ar7010*.fw
/lib/firmware/ar9170-*.fw
/lib/firmware/ar9271.fw
/lib/firmware/as102_data1_st.hex
/lib/firmware/as102_data2_st.hex
/lib/firmware/ath3k-1.fw
/lib/firmware/ath6k
/lib/firmware/ath9k_htc
/lib/firmware/ath10k
/lib/firmware/atmel
/lib/firmware/atmsar11.fw
/lib/firmware/atusb
/lib/firmware/av7110
/lib/firmware/bnx2
/lib/firmware/bnx2x
/lib/firmware/bnx2x-e1-*.fw
/lib/firmware/bnx2x-e1h-*.fw
/lib/firmware/brcm
/lib/firmware/carl9170-1.fw
/lib/firmware/cbfw-*.bin
/lib/firmware/cis
/lib/firmware/cmmb_*_12mhz.inp
/lib/firmware/cpia2
/lib/firmware/ct2fw-*.bin
/lib/firmware/ctefx.bin
/lib/firmware/ctfw-*.bin
/lib/firmware/ctspeq.bin
/lib/firmware/cxgb3
/lib/firmware/cxgb4
/lib/firmware/dabusb
/lib/firmware/dsp56k
/lib/firmware/dvb-fe-xc4000-*.fw
/lib/firmware/dvb-fe-xc5000-*.fw
/lib/firmware/dvb-fe-xc5000c-*.fw
/lib/firmware/dvb-usb-dib0700-*.fw
/lib/firmware/dvb-usb-it9135-01.fw
/lib/firmware/dvb-usb-it9135-02.fw
/lib/firmware/dvb-usb-terratec-h5-drxk.fw
/lib/firmware/dvb_nova_12mhz*.inp
/lib/firmware/e100
/lib/firmware/edgeport
/lib/firmware/emi26
/lib/firmware/emi62
/lib/firmware/ene-ub6250
/lib/firmware/f2255usb.bin
/lib/firmware/go7007
/lib/firmware/hfi1_dc8051.fw
/lib/firmware/hfi1_fabric.fw
/lib/firmware/hfi1_pcie.fw
/lib/firmware/hfi1_platform.dat
/lib/firmware/hfi1_sbus.fw
/lib/firmware/htc_7010.fw
/lib/firmware/htc_9271.fw
/lib/firmware/i2400m-fw-usb-*.sbcf
/lib/firmware/i6050-fw-usb-*.sbcf
/lib/firmware/i915
/lib/firmware/intel
/lib/firmware/intelliport2.bin
/lib/firmware/isdbt_*.inp
/lib/firmware/isci
/lib/firmware/iwlwifi-100-5.ucode
/lib/firmware/iwlwifi-105-6.ucode
/lib/firmware/iwlwifi-135-6.ucode
/lib/firmware/iwlwifi-1000-3.ucode
/lib/firmware/iwlwifi-1000-5.ucode
/lib/firmware/iwlwifi-2000-6.ucode
/lib/firmware/iwlwifi-2030-6.ucode
/lib/firmware/iwlwifi-3160-7.ucode
/lib/firmware/iwlwifi-3160-8.ucode
/lib/firmware/iwlwifi-3160-9.ucode
/lib/firmware/iwlwifi-3160-10.ucode
/lib/firmware/iwlwifi-3160-12.ucode
/lib/firmware/iwlwifi-3160-13.ucode
/lib/firmware/iwlwifi-3160-16.ucode
/lib/firmware/iwlwifi-3160-17.ucode
/lib/firmware/iwlwifi-3168-21.ucode
/lib/firmware/iwlwifi-3168-22.ucode
/lib/firmware/iwlwifi-3945-2.ucode
/lib/firmware/iwlwifi-4965-2.ucode
/lib/firmware/iwlwifi-5000-1.ucode
/lib/firmware/iwlwifi-5000-2.ucode
/lib/firmware/iwlwifi-5000-5.ucode
/lib/firmware/iwlwifi-5150-2.ucode
/lib/firmware/iwlwifi-6000-4.ucode
/lib/firmware/iwlwifi-6000g2a-5.ucode
/lib/firmware/iwlwifi-6000g2a-6.ucode
/lib/firmware/iwlwifi-6000g2b-5.ucode
/lib/firmware/iwlwifi-6000g2b-6.ucode
/lib/firmware/iwlwifi-6050-4.ucode
/lib/firmware/iwlwifi-6050-5.ucode
/lib/firmware/iwlwifi-7260-7.ucode
/lib/firmware/iwlwifi-7260-8.ucode
/lib/firmware/iwlwifi-7260-9.ucode
/lib/firmware/iwlwifi-7260-10.ucode
/lib/firmware/iwlwifi-7260-12.ucode
/lib/firmware/iwlwifi-7260-13.ucode
/lib/firmware/iwlwifi-7260-16.ucode
/lib/firmware/iwlwifi-7260-17.ucode
/lib/firmware/iwlwifi-7265-8.ucode
/lib/firmware/iwlwifi-7265-9.ucode
/lib/firmware/iwlwifi-7265-10.ucode
/lib/firmware/iwlwifi-7265-12.ucode
/lib/firmware/iwlwifi-7265-13.ucode
/lib/firmware/iwlwifi-7265-16.ucode
/lib/firmware/iwlwifi-7265-17.ucode
/lib/firmware/iwlwifi-7265D-10.ucode
/lib/firmware/iwlwifi-7265D-12.ucode
/lib/firmware/iwlwifi-7265D-13.ucode
/lib/firmware/iwlwifi-7265D-16.ucode
/lib/firmware/iwlwifi-7265D-17.ucode
/lib/firmware/iwlwifi-7265D-21.ucode
/lib/firmware/iwlwifi-7265D-22.ucode
/lib/firmware/iwlwifi-8000C-13.ucode
/lib/firmware/iwlwifi-8000C-16.ucode
/lib/firmware/iwlwifi-8000C-21.ucode
/lib/firmware/iwlwifi-8000C-22.ucode
/lib/firmware/iwlwifi-8265-21.ucode
/lib/firmware/iwlwifi-8265-22.ucode
/lib/firmware/kaweth
/lib/firmware/keyspan
/lib/firmware/keyspan_pda
/lib/firmware/lbtf_usb.bin
/lib/firmware/lgs8g75.fw
/lib/firmware/libertas
/lib/firmware/liquidio
/lib/firmware/mwlwifi
/lib/firmware/matrox
/lib/firmware/moxa
/lib/firmware/mrvl
/lib/firmware/mt7601u.bin
/lib/firmware/mt7650.bin
/lib/firmware/mts_*.fw
/lib/firmware/mwl8k
/lib/firmware/myri10ge_*.dat
/lib/firmware/myricom
/lib/firmware/nvidia
/lib/firmware/ositech
/lib/firmware/phanfw.bin
/lib/firmware/qat_895xcc.bin
/lib/firmware/qat_895xcc_mmp.bin
/lib/firmware/qat_c3xxx.bin
/lib/firmware/qat_c3xxx_mmp.bin
/lib/firmware/qat_c62x.bin
/lib/firmware/qat_c62x_mmp.bin
/lib/firmware/qat_mmp.bin
/lib/firmware/qca
/lib/firmware/qed
/lib/firmware/ql2100_fw.bin
/lib/firmware/ql2200_fw.bin
/lib/firmware/ql2300_fw.bin
/lib/firmware/ql2322_fw.bin
/lib/firmware/ql2400_fw.bin
/lib/firmware/ql2500_fw.bin
/lib/firmware/qlogic
/lib/firmware/r128
/lib/firmware/r8a779x_usb3_v1.dlmem
/lib/firmware/r8a779x_usb3_v2.dlmem
/lib/firmware/r8a779x_usb3_v3.dlmem
/lib/firmware/radeon
/lib/firmware/rockchip
/lib/firmware/rp2.fw
/lib/firmware/rsi_91x.fw
/lib/firmware/rt2561.bin
/lib/firmware/rt2561s.bin
/lib/firmware/rt2661.bin
/lib/firmware/rt2860.bin
/lib/firmware/rt2870.bin
/lib/firmware/rt3070.bin
/lib/firmware/rt3071.bin
/lib/firmware/rt3090.bin
/lib/firmware/rt3290.bin
/lib/firmware/rt73.bin
/lib/firmware/rtl_bt
/lib/firmware/rtl_nic
/lib/firmware/rtlwifi
/lib/firmware/s2250*.fw
/lib/firmware/s5p-mfc-v6-v2.fw
/lib/firmware/s5p-mfc-v6.fw
/lib/firmware/s5p-mfc-v7.fw
/lib/firmware/s5p-mfc-v8.fw
/lib/firmware/s5p-mfc.fw
/lib/firmware/sdd_sagrad_*.bin
/lib/firmware/slicoss
/lib/firmware/sms1xxx-*.fw
/lib/firmware/sun
/lib/firmware/sxg
/lib/firmware/tdmb_nova_12mhz.inp
/lib/firmware/tehuti
/lib/firmware/ti-connectivity
/lib/firmware/ti-keystone
/lib/firmware/ti_3410.fw
/lib/firmware/ti_5052.fw
/lib/firmware/tigon
/lib/firmware/tlg2300_firmware.bin
/lib/firmware/tr_smctr.bin
/lib/firmware/ttusb-budget
/lib/firmware/ueagle-atm
/lib/firmware/usbdux*_firmware.bin
/lib/firmware/v4l-cx*.fw
/lib/firmware/vicam
/lib/firmware/vntwusb.fw
/lib/firmware/vpu_d.bin
/lib/firmware/vpu_p.bin
/lib/firmware/vxge
/lib/firmware/whiteheat*.fw
/lib/firmware/wsm_22.bin
/lib/firmware/yam
%changelog
* Wed Feb 08 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/linux-firmware.git;a=log;h=master

* Wed Feb 08 2017 Marcin Krol <hawk@tld-linux.org> 8b10a5f
- updated to 20161205

* Tue Jul 26 2016 Marcin Krol <hawk@tld-linux.org> 4a4597c
- updated to 20160609

* Fri Apr 15 2016 Marcin Krol <hawk@tld-linux.org> ae4924d
- updated to 20160321, include all firmware that previously was
  available in separate packages

* Wed Jan 27 2016 Marcin Krol <hawk@tld-linux.org> f953ff9
- updated to 20151214

* Fri Jul 24 2015 Marcin Krol <hawk@tld-linux.org> 9390830
- PLD merge

* Mon Oct 06 2014 Marcin Krol <hawk@tld-linux.org> ea1c978
- updated to 20140912

* Mon Oct 06 2014 Marcin Krol <hawk@tld-linux.org> cfacc1f
- from PLD

